Subject: Re: bug#4341: 23.1; M-x locate runs synchronously

From: Juri Linkov <[email-masked]>
Date: Tue, 03 Nov 2020 21:45:42 +0200

>> > I think it would be preferable to run locate in asynchronously.
>>
>> This would be possible when `locate' were more similar to `find-dired'.
>> I don't mean its output should be formatted as files in dired.
>> For that we could create a new command like `locate-dired'.
>> But maybe internals of `find-dired' should be generalized to
>> accept arbitrary commands.  This would allow implementing
>> `locate-dired', `rgrep-dired', `lgrep-dired', i.e. any command
>> that searches files with their output formatted for dired
>> like `find-name-dired', `find-grep-dired' and `find-dired'.
>
> That sounds nice.
>
> It's not trivial: find calls ls by itself.  From processes Emacs can
> receive anything, and it would have to decide by itself on the fly if
> it's an ok file line and call "ls" to format the file line.  "locate"
> for example can report files that have been deleted in the meantime.

Is it possible to avoid using "ls"?  If ls formatting is not needed,
then the output buffer will look like a Dired buffer with enabled
'dired-hide-details-mode' that shows only file names.